<?php
 /* si url return chemin+nom fichier
  si type retrun uniquement type selectionné
 RETURN nomfichier+ext uniquement
 */
function cstr_liste($ch,$type="",$url='') {
$handle=opendir("$ch");
$cpt=0;
while ($file = @readdir($handle)) {
  if  ($file != "." && $file != ".."){
	if (empty($type)) {
			if (!empty($url))$nom_complet[$cpt]=$ch.$file;
			else $nom_complet[$cpt]=$file;
	}
	else {
		if (eregi(".*(\.$type)",$file)){
			if (!empty($url))$nom_complet[$cpt]=$ch.$file;
			else $nom_complet[$cpt]=$file;
		}
	}
    $cpt++;
    }
   }
  closedir($handle);
  if (!empty($nom_complet)) return $nom_complet;
  return false;
 }
?>